#include <tinyNeoPixel.h>

int r,g,b;

boolean state = false;

#define PIN            6

// How many NeoPixels are attached to the Arduino?
#define NUMPIXELS      7

// When we setup the NeoPixel library, we tell it how many pixels, and which pin to use to send signals.
// Note that for older NeoPixel strips you might need to change the third parameter--see the strandtest
// example for more information on possible values.
tinyNeoPixel pixels = tinyNeoPixel(NUMPIXELS, PIN, NEO_GRB + NEO_KHZ800);
void setup() {



Serial.begin(57600);

 pixels.begin(); // This initializes the NeoPixel library.

}


void loop() {

  String returnedInput = rgbInput();

  String red = returnedInput.substring(0,3); //get 3 values like 255
  String green = returnedInput.substring(4,7);
  String blue = returnedInput.substring(8,11);
    

  Serial.println(red);
  Serial.println(green);
  Serial.println(blue);

  int r = red.toInt();
  int g = green.toInt();
  int b = blue.toInt();

 if (Serial.available()){

      char val = Serial.read();

      if(val == '2') { //selects the second LED ring
        if(state == false) {
          state = true;

         
  for (int i = 0; i < NUMPIXELS; i++) {

    // pixels.Color takes RGB values, from 0,0,0 up to 255,255,255
    pixels.setPixelColor(i, pixels.Color(r, g, b)); // Moderately bright green color.

    pixels.show(); // This sends the updated pixel color to the hardware.

    
            
          } //end the for loop
} //end if false
} //end if 2
 } //end if serial is available
} //end loop

  
  String rgbInput() {

    //prompt for input
    Serial.println("ready");

    while(!Serial.available()) {
      //if 0, it keeps waiting for the user to enter sth.
    }

  String userInput = Serial.readStringUntil("\n");

  return userInput;
}    
  
